<?php

namespace Drupal\a12s_maps_sync\Maps;

interface MediaInterface extends BaseInterface {

  /**
   * @return string
   */
  public function getExtension(): string;

  /**
   * @param string $extension
   *
   * @return Media
   */
  public function setExtension(string $extension): Media;

  /**
   * @return int
   */
  public function getType(): int;

  /**
   * @param int $type
   *
   * @return Media
   */
  public function setType(int $type): Media;

  /**
   * @return string
   */
  public function getUrl(): string;

  /**
   * @param string $url
   *
   * @return Media
   */
  public function setUrl(string $url): Media;

  /**
   * @return int
   */
  public function getWeight(): int;

  /**
   * @param int $weight
   *
   * @return Media
   */
  public function setWeight(int $weight): Media;

  /**
   * @return string
   */
  public function getFilename(): string;

  /**
   * @param string $filename
   *
   * @return Media
   */
  public function setFilename(string $filename): Media;

}
